Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

MX 17 Repository: The firefox thread

Message
Author
User avatar
mmikeinsantarosa
Forum Guide
Forum Guide
Posts: 2466
Joined: Thu May 01, 2014 10:12 am

Re: MX 17 Repository: The firefox thread

#121 Post by mmikeinsantarosa » Sun May 27, 2018 4:06 pm

We have a new patched version of firefox-60.0.1 +2 that should allow for easier installing and switching language packs. This is all due to input of user fehlix. These are his comments:
This Firefox update provides a semi-automatic activation and enabling of the users locales for the Firefox user-interfaces for new and existing Firefox profiles. A user needs only to install the firefox-language pack from within MX Package Installer (MXPI) to get the UI automatically switched to the user locale. In rar situations it might be required for users with existing profile to disable and enable the language-addon within Firefox. Such race conditions might exists either due to well known MMCM (Mozilla Magic Cache Mystic) or due to the secretly known MMPC (Mozilla Moon Phase Conditions).
We're working on a similar fix for thunderbird as well.

Thanks Fehlix! :number1:

- mike
LT: MX17.1 Quad Core model: Intel Core i7-6820HQ Kernel: 4.16.0-12.1-liquorix-amd64 (64 bit)
DT: Intel(R) Core i5-3.1GHz Kernel~3.9-1-mepis64 x86_64

User avatar
oops
Forum Regular
Forum Regular
Posts: 420
Joined: Tue Apr 10, 2018 5:07 pm

Re: MX 17 Repository: The firefox thread

#122 Post by oops » Sun May 27, 2018 5:30 pm

mmikeinsantarosa wrote:
Sun May 27, 2018 4:06 pm
Thanks Fehlix! :number1:
+1
$ inxi -Fxxxz : System: Host:XEON ... Distro: MX-17.1_x64 Horizon

User avatar
mmikeinsantarosa
Forum Guide
Forum Guide
Posts: 2466
Joined: Thu May 01, 2014 10:12 am

Re: MX 17 Repository: The firefox thread

#123 Post by mmikeinsantarosa » Thu Jun 28, 2018 7:26 pm

firefox-61.0 (will soon be) available to upgrade to from the main repository.

There were several critical security flaws fixed in this one.

For more info, check out the firefox release notes page.

- mike
LT: MX17.1 Quad Core model: Intel Core i7-6820HQ Kernel: 4.16.0-12.1-liquorix-amd64 (64 bit)
DT: Intel(R) Core i5-3.1GHz Kernel~3.9-1-mepis64 x86_64

User avatar
mmikeinsantarosa
Forum Guide
Forum Guide
Posts: 2466
Joined: Thu May 01, 2014 10:12 am

Re: MX 17 Repository: The firefox thread

#124 Post by mmikeinsantarosa » Sun Jul 08, 2018 10:24 pm

firefox_61.0.1 is now in main and ready for you to upgrade to. - mike
LT: MX17.1 Quad Core model: Intel Core i7-6820HQ Kernel: 4.16.0-12.1-liquorix-amd64 (64 bit)
DT: Intel(R) Core i5-3.1GHz Kernel~3.9-1-mepis64 x86_64

sunrat
Forum Regular
Forum Regular
Posts: 223
Joined: Mon Mar 28, 2016 9:54 pm

Re: MX 17 Repository: The firefox thread

#125 Post by sunrat » Mon Jul 09, 2018 5:10 am

There was an issue in 61.0-1 with dictionaries not working. Fixed in 61.0-2 . Hopefully you worked around that one.
https://bugs.debian.org/cgi-bin/bugrepo ... bug=900469

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 412
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The firefox thread

#126 Post by stsoh » Mon Jul 09, 2018 5:16 am

sunrat wrote:
Mon Jul 09, 2018 5:10 am
There was an issue in 61.0-1 with dictionaries not working. Fixed in 61.0-2 . Hopefully you worked around that one.
https://bugs.debian.org/cgi-bin/bugrepo ... bug=900469
latest ff 61.0.1, u are referring to 61.0 beta one months ago in may. ff61.0-2 is not ff61.0.1 (latest release in july, see the diff -2 vs .1).
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
fehlix
Forum Guide
Forum Guide
Posts: 2041
Joined: Wed Apr 11, 2018 5:09 pm

Re: MX 17 Repository: The firefox thread

#127 Post by fehlix » Mon Jul 09, 2018 5:59 am

sunrat wrote:
Mon Jul 09, 2018 5:10 am
There was an issue in 61.0-1 with dictionaries not working...
Spellchecker works in latest version firefox_61.0.1 packaged by mike :number1:
Gigabyte Z77M-D3H, Intel Xeon E3-1240 V2 (Quad core), 32GB RAM,
GeForce GTX 770, Samsung SSD 850 EVO 500GB, Seagate Barracuda 4TB

sunrat
Forum Regular
Forum Regular
Posts: 223
Joined: Mon Mar 28, 2016 9:54 pm

Re: MX 17 Repository: The firefox thread

#128 Post by sunrat » Mon Jul 09, 2018 8:00 am

fehlix wrote:
Mon Jul 09, 2018 5:59 am
sunrat wrote:
Mon Jul 09, 2018 5:10 am
There was an issue in 61.0-1 with dictionaries not working...
Spellchecker works in latest version firefox_61.0.1 packaged by mike :number1:
Sweet! I was just wondering as 61.0-2 just hit sid.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16576
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The firefox thread

#129 Post by Stevo » Sun Aug 05, 2018 4:16 pm

For what it's worth, the last 9.5 Stretch update added the build-depends for at least Firefox 61.0.1 in Sid. This includes the llvm-4.0 toolchain, rustc 1.24, and cargo 0.25. This is in preparation for firefox-esr being updated to 60 in Stretch when 52's support ends in September.

I also see that Firefox has switched over to using libavcodec instead of gstreamer for multimedia playback. Debian recommends it so it gets installed by default, but we should add it as a dependency for our packages:

Code: Select all

libavcodec58 | libavcodec57 | libavcodec56 | libavcodec55 | libavcodec54 | libavcodec53
It hasn't come up as an issue and there's no great rush to fix it, since we have libavcodec57 installed in MX by default, but it should be fixed with the next FF update.

User avatar
mmikeinsantarosa
Forum Guide
Forum Guide
Posts: 2466
Joined: Thu May 01, 2014 10:12 am

Re: MX 17 Repository: The firefox thread

#130 Post by mmikeinsantarosa » Sun Aug 05, 2018 4:55 pm

Stevo wrote:
Sun Aug 05, 2018 4:16 pm
For what it's worth, the last 9.5 Stretch update added the build-depends for at least Firefox 61.0.1 in Sid. This includes the llvm-4.0 toolchain, rustc 1.24, and cargo 0.25. This is in preparation for firefox-esr being updated to 60 in Stretch when 52's support ends in September.

I also see that Firefox has switched over to using libavcodec instead of gstreamer for multimedia playback. Debian recommends it so it gets installed by default, but we should add it as a dependency for our packages:

Code: Select all

libavcodec58 | libavcodec57 | libavcodec56 | libavcodec55 | libavcodec54 | libavcodec53
It hasn't come up as an issue and there's no great rush to fix it, since we have libavcodec57 installed in MX by default, but it should be fixed with the next FF update.
Thanks for the note. I just reloaded both laptop and build desktop from scratch. I was getting unable to read errors on sda both of which are SSDs plus I wanted to move my home to it's own drive on the desktop.
LT: MX17.1 Quad Core model: Intel Core i7-6820HQ Kernel: 4.16.0-12.1-liquorix-amd64 (64 bit)
DT: Intel(R) Core i5-3.1GHz Kernel~3.9-1-mepis64 x86_64

Post Reply

Return to “Package Requests/Status - MX 17”